petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexSNESGetGeometryFVM

Return precomputed geometric data

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESGetGeometryFVM(DM dm, Vec *facegeom, Vec *cellgeom, PetscReal *minRadius)

### Input Parameter

dm -The DM

### Output Parameters

| facegeom | - The values precomputed from face geometry
| cellgeom | - The values precomputed from cell geometry
| minRadius | - The minimum radius over the mesh of an inscribed sphere in a cell

### See Also

DMPlexTSSetRHSFunctionLocal()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages